Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 704140 - dev-util/codeblocks-17.12 stable request
Summary: dev-util/codeblocks-17.12 stable request
Status: RESOLVED FIXED
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: Stabilization (show other bugs)
Hardware: All Linux
: Normal normal (vote)
Assignee: Sergey Torokhov
URL:
Whiteboard:
Keywords: STABLEREQ
Depends on: 704452
Blocks:
  Show dependency tree
 
Reported: 2019-12-29 03:25 UTC by John Bobbertson
Modified: 2020-01-10 01:46 UTC (History)
2 users (show)

See Also:
Package list:
dev-util/codeblocks-17.12-r301 x86 amd64
Runtime testing required: ---
stable-bot: sanity-check+


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description John Bobbertson 2019-12-29 03:25:46 UTC
If there are no actual blockers and whatever was wrong with wxWidgets has actually been fixed could we stabilize codeblocks-17-12 now?
Comment 1 Sergey Torokhov 2019-12-31 11:56:05 UTC
I would like to add to this stable request
+ dev-libs/tinyxml-2.6.2-r3
+ dev-utils/codeblocks-17.12-r{1,300,301}

tinyxml-2.6.2-r3 differs from already stable -r2 by presence of additional ".pc" file and switch to EAPI 6 from EAPI 4.
Comment 2 Stabilization helper bot gentoo-dev 2020-01-09 10:01:58 UTC
An automated check of this bug failed - repoman reported dependency errors (500 lines truncated): 

> dependency.bad dev-util/codeblocks/codeblocks-17.12-r1.ebuild: DEPEND: arm(default/linux/arm/17.0) ['>=dev-util/astyle-3.0.1-r1:0=']
> dependency.bad dev-util/codeblocks/codeblocks-17.12-r1.ebuild: DEPEND: arm(default/linux/arm/17.0) ['>=dev-util/astyle-3.0.1-r1:0=']
> dependency.bad dev-util/codeblocks/codeblocks-17.12-r301.ebuild: DEPEND: arm(default/linux/arm/17.0) ['>=dev-util/astyle-3.0.1-r1:0=']
> dependency.bad dev-util/codeblocks/codeblocks-17.12-r1.ebuild: DEPEND: arm(default/linux/arm/17.0) ['>=dev-util/astyle-3.0.1-r1:0=']
> dependency.bad dev-util/codeblocks/codeblocks-17.12-r1.ebuild: DEPEND: arm(default/linux/arm/17.0) ['>=dev-util/astyle-3.0.1-r1:0=']
> dependency.bad dev-util/codeblocks/codeblocks-17.12-r301.ebuild: DEPEND: arm(default/linux/arm/17.0) ['>=dev-util/astyle-3.0.1-r1:0=']
> dependency.bad dev-util/codeblocks/codeblocks-17.12-r1.ebuild: DEPEND: arm(default/linux/arm/17.0) ['>=dev-util/astyle-3.0.1-r1:0=']
> dependency.bad dev-util/codeblocks/codeblocks-17.12-r1.ebuild: DEPEND: arm(default/linux/arm/17.0) ['>=dev-util/astyle-3.0.1-r1:0=']
> dependency.bad dev-util/codeblocks/codeblocks-17.12-r301.ebuild: DEPEND: arm(default/linux/arm/17.0) ['>=dev-util/astyle-3.0.1-r1:0=']
> dependency.bad dev-util/codeblocks/codeblocks-17.12-r1.ebuild: DEPEND: arm(default/linux/arm/17.0) ['>=dev-util/astyle-3.0.1-r1:0=']
> dependency.bad dev-util/codeblocks/codeblocks-17.12-r1.ebuild: DEPEND: arm(default/linux/arm/17.0) ['>=dev-util/astyle-3.0.1-r1:0=']
> dependency.bad dev-util/codeblocks/codeblocks-17.12-r301.ebuild: DEPEND: arm(default/linux/arm/17.0) ['>=dev-util/astyle-3.0.1-r1:0=']
Comment 3 Stabilization helper bot gentoo-dev 2020-01-09 11:00:06 UTC
An automated check of this bug succeeded - the previous repoman errors are now resolved.
Comment 4 Agostino Sarubbo gentoo-dev 2020-01-09 12:47:10 UTC
amd64 stable
Comment 5 Thomas Deutschmann gentoo-dev 2020-01-10 01:46:41 UTC
x86 stable, closing